## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOtherEncodingWriter::WriteCharRef Class Template Reference

`#include <XalanOtherEncodingWriter.hpp>`

Collaboration diagram for XalanOtherEncodingWriter::WriteCharRef:

[legend]
List of all members.

## Public Methods

- WriteCharRef (ThisType &writer)
- void operator() (unsigned int value) const

### template<class Predicate, class ConstantsType> class XalanOtherEncodingWriter::WriteCharRef

## Constructor & Destructor Documentation

XalanOtherEncodingWriter::WriteCharRef::WriteCharRef ( | ThisType & writer )

## Member Function Documentation

void XalanOtherEncodingWriter::WriteCharRef::operator() ( | unsigned int value ) const

The documentation for this class was generated from the following file:

- XalanOtherEncodingWriter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.